language: php
php:
  - 5.3
  - 5.4
  - 5.5
  - 5.6
  - hhvm
branches:
  except:
    - v0.5
    - v0.6
    - php5.2_backport
    - documentation
services: redis-server
before_script:
  - composer self-update
  - composer install --no-interaction --prefer-source --dev
script:
  - vendor/bin/phpunit -c phpunit.xml.travisci
matrix:
  allow_failures:
    - php: hhvm
  fast_finish: true
